Bug 71660 - [patch] 12hr time format wrong in en_GB
[patch] 12hr time format wrong in en_GB
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-08-16 08:39 EDT by Tim Waugh
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-08 06:26:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Untested patch. (571 bytes, patch)
2002-08-16 10:12 EDT, Tim Waugh
no flags Details | Diff
Tested patch (810 bytes, patch)
2003-01-24 08:16 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2002-08-16 08:39:19 EDT
Description of Problem: 
The 12hr display is wrong on the clock applet: 13:38 dislays at 01:38 instead 
of 1:38pm. 
Version-Release number of selected component (if applicable): 
How Reproducible: 
Steps to Reproduce: 
1. Set it to 12hr display 
2. Wait until afternoon.
Comment 1 Havoc Pennington 2002-08-16 09:30:38 EDT
Well, I have to ask - are you sure your time is set right. ;-) 
Surely someone would have noticed and reported this by now...
Comment 2 Tim Waugh 2002-08-16 09:36:48 EDT
Yes, it is set correctly! 
In the preferences window, I flip between '12 hour' and '24 hour' and get 
12 hour: 02:34 
24 hour: 14:34 
(Note: it is the same on the gdm login screen too.) 
But actually, now that I look at it, 'date +%r' says '02:35:57', which is also 
wrong.  I guess it's a glibc bug.  LANG is en_GB.
Comment 3 Tim Waugh 2002-08-16 10:12:44 EDT
Created attachment 71104 [details]
Untested patch.
Comment 4 Jakub Jelinek 2002-08-16 10:19:09 EDT
Well, you certainly need to set am_pm too...
Comment 5 Tim Waugh 2002-12-02 12:49:08 EST
still broken..
Comment 6 Tim Waugh 2003-01-24 08:16:49 EST
Created attachment 89570 [details]
Tested patch

This one works for me.
Comment 7 Ulrich Drepper 2003-04-22 01:14:22 EDT
Is the 12h format still used?  I mean not understood, but it is the official format?
Comment 8 Tim Waugh 2003-05-08 06:26:51 EDT
This all works fine now actually.

Note You need to log in before you can comment on or make changes to this bug.